<?php
defined('PHP168_PATH') or die();

/**
* 登录
**/

//style=admin&id=footer_login&site={$SITENAME}

if(REQUEST_METHOD == 'GET'){
	if(isset($_GET['username']) || isset($_GET['password'])){
		exit('attack');
	}
    $boxid = 'footer_login';
    $forward=HTTP_REFERER;
    if(!$boxid){
        include template($this_module, 'login/admin');
    }else{
        if($UID){
            $this_module->set_model($ROLE_GROUP);
            $this_module->get_member_info($UID);
        }
		$SITENAME = '';
		if(!empty($core->systems['sites']['enabled'])){
            $site = $core->load_system('sites');
            $SITENAME = $site->SITE;
        }
        ob_start();
        include template($this_module, 'login/admin');
        $show=ob_get_contents();
        ob_end_clean();
        $show=str_replace(array("\n","\r","'"),array("","","\'"),$show);
        echo "$('#footer_login').html('$show');";
        exit;
    }

}